#!/bin/sh
if [ -e /var/etc/.start_ide ]; then
msg()
{
/bin/msgbox title="HDD Setup" size=28 msg="$text" select="Bitte warten" &
}

text="~c Um die Festplatte in der DBox2 zu initialisieren,~n~c mu einmalig dieses Setup ausgefhrt werden.~n~n~c Hierbei wird die HDD partitioniert und anschlieend~n~c formatiert. Dieser Vorgang dauert ein paar Minuten.~n~n~s~n~c Achtung:~n~c Alle Daten auf der Festplatte werden hierbei gelscht!~n~s~n~n~c Setup wirklich starten?"

FORMAT()
{
text="~cStarte HDD Initialisierung~n~s~n~l~G X erstelle partitionen~n~l O initialisiere Swap Partition~n~l O formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg

umount /hdd

HDD=/dev/ide/host0/bus0/target0/lun0

#Create the partition label
fdisk $HDD/disc << EOF
o
n
p
1
1
+100M
n
p
2



t
1
82
p
w
q
EOF

if [ $? -ne 0 ] ; then
	msgbox title="HDD Setup" refresh=2 size=28 msg="Formatierung fehlgeschlagen~nFestplatte richtig angeschlossen?" timeout=10
	exit 1
fi

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l~G X initialisiere Swap Partition~n~l O formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
mkswap $HDD/part1

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l~G X formatiere Datenpartition~n~l O mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
/sbin/mkfs.ext3 -T largefile -m0 $HDD/part2

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l X formatiere Datenpartition~n~l~G X mounte Datenpartition nach /hdd~n~l O configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
/bin/mount -t ext3 $HDD/part2 /hdd

text="~cStarte HDD Initialisierung~n~s~n~l X erstelle partitionen~n~l X initialisiere Swap Partition~n~l X formatiere Datenpartition~n~l X mounte Datenpartition nach /hdd~n~l~G X configuriere HDD Parameter~n~s~n~c...der Vorgang dauert ein paar Minuten~n~s"
msg
/sbin/hdparm -S60 $HDD/disc
sleep 7
mount > tmp/mount
if grep -q 'ide/host0/bus0/target0/lun0' /tmp/mount; then
	rm /tmp/mount
	mkdir /hdd/recording
	/bin/msgbox title="HDD Setup" refresh=0 size=28 msg="HDD Setup abgeschlossen" timeout=5
	sleep 3
	killall msgbox
else
	msgbox title="HDD Setup" refresh=2 size=36 msg="Vorgang abgebrochen !~nLaufwerk HDD ist nicht gemountet.~nBitte ~uberpr~ufen." timeout=15
	rm /tmp/mount
	exit
fi
}

/bin/msgbox title="HDD Setup" refresh=3 size=28 msg="$text" select="Nein,ja"
case "$?" in
	1)
		msgbox title="HDD Setup" refresh=2 size=28 msg="Vorgang abgebrochen" timeout=3
		;;
	2)
		FORMAT
		;;
	*)
		msgbox title="HDD Setup" refresh=2 size=28 msg="Vorgang abgebrochen" timeout=3
		exit
		;;
		esac
else
/bin/msgbox msg="HDD/IDE Treiber nicht geladen, Abbruch" timeout=5
killall msgbox
fi
